> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Contact Custom Field

> Create a new Contact Custom Field



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json post /api/v1/contact_custom_field
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/contact_custom_field:
    post:
      tags:
        - Custom Field
      summary: Create Contact Custom Field
      description: Create a new Contact Custom Field
      operationId: create_contact_custom_field_api_v1_contact_custom_field_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IContactCustomFieldUpdate'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/IPostResponseBase_IContactCustomFieldCreate_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IContactCustomFieldUpdate:
      properties:
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        custom_field_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Custom Field Name
        custom_field_type:
          anyOf:
            - $ref: '#/components/schemas/IContactCustomFieldTypeEnum'
            - type: 'null'
      type: object
      title: IContactCustomFieldUpdate
    IPostResponseBase_IContactCustomFieldCreate_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IContactCustomFieldCreate'
            - type: 'null'
      type: object
      title: IPostResponseBase[IContactCustomFieldCreate]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IContactCustomFieldTypeEnum:
      type: string
      enum:
        - string
        - number
      title: IContactCustomFieldTypeEnum
    IContactCustomFieldCreate:
      properties:
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        custom_field_name:
          type: string
          title: Custom Field Name
        custom_field_type:
          anyOf:
            - $ref: '#/components/schemas/IContactCustomFieldTypeEnum'
            - type: 'null'
      type: object
      required:
        - org_id
        - custom_field_name
        - custom_field_type
      title: IContactCustomFieldCreate
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````